package vvasam.jenardf;

import java.util.* ;

public class PropertyFileReader {

    private ResourceBundle mResource;

    public PropertyFileReader(String aPropertyFileName) throws MissingResourceException {

        mResource = ResourceBundle.getBundle(aPropertyFileName, Locale.getDefault());
    }

    public String getProperty (String aPropertyName) {
        
        String value = mResource.getString(aPropertyName);
        if ( null == value ) {
            throw new RuntimeException("The property " + aPropertyName + " is not set!!!");
        }
    
        return value;
    }

    private String getPropertyNotEmpty(String aPropertyName) {
        String retValue = getProperty(aPropertyName).trim();
        if ( retValue.equals("") ) {
            throw new RuntimeException("The property " + aPropertyName + " is not set!!!");
        }
        
        return retValue;
    }
    
    public String getPropertyAsString (String aPropertyName) {
        return getPropertyNotEmpty(aPropertyName);
    }
    
    public char getPropertyAsChar(String aPropertyName) {
        char c = getPropertyNotEmpty(aPropertyName).charAt(0);
        int i = getPropertyNotEmpty(aPropertyName).charAt(0);
        return getPropertyNotEmpty(aPropertyName).charAt(0);
    }
    
    public boolean getPropertyAsBoolean(String aPropertyName) {
        String value = getPropertyNotEmpty(aPropertyName);
        boolean retValue = false;
        if ( value.equals("true" ) ) {
            retValue = true;
        } else if ( value.equals("false") ) {
            retValue = false;
        } else {
            throw new RuntimeException("The value " + value + " for the property " + 
                    aPropertyName + " is not boolean.");
        }
        
        return retValue;
    }
}